Subject: Re: linux-next: toolchain version for mips builds, esp. cavium

From: David Daney <[email-masked]>
Date: Fri, 09 Mar 2012 14:44:34 -0800

On 03/09/2012 02:01 PM, Paul Gortmaker wrote:
> Hi Stephen,
>
> The linux-next builds for cavium defconfig have been failing for
> quite some time now, since it tries to use gcc-4.2 and the option
> for the octeon didn't appear until gcc-4.4 ("-march=octeon")
>
> http://kisskb.ellerman.id.au/kisskb/target/5509/
>
> I'm not sure there is any real "best" choice (hence I cc'd David
> and Ralf) but I just tested by grabbing the toolchain from here:

As you note, The OCTEON kernel build currently requires -march=octeon, 
this is not gratuitous.  There is some asm code in there that requires 
OCTEON support in the toolchain.  So currently an attempt to use a 
toolchain that doesn't support -march=octeon will fail.

So there are a couple of choices:

1) Use a modern toolchain.

2) Figure out how to patch the kernel such that a modern toolchain is 
not needed.

I don't really plan on working on #2.

David Daney

>
> ftp://ftp.kernel.org/pub/tools/crosstool/files/bin/x86_64/4.5.2/
>
> and it seems fine with building the cavium.  I'm not sure if the
> kisskb does per-target toolchain, or needs it per-arch, but I would
> suspect that the above is fine for all of mips anyway.
>
> What is the process for getting a different toolchain building the
> cavium in linux-next?
>
> Thanks,
> Paul.
>